=== debian/changelog ===
procmail (3.22-19) unstable; urgency=low

  * Adopted remaining code changes from procmail 3.23pre.
  * Changed MTA recommends to "default-mta | mail-transport-agent".
  * Changed mailstat to use [:alnum:] instead of 0-9A-Za-z.
    Thanks to Juhan Kundla. Closes: #337048.
  * Document that the repetition operator is not supported.
    Thanks to Justin Pryzby. Closes: #452723.
  * Switch to 3.0 (quilt) source format, 27 patches.

 -- Santiago Vila <sanvila@debian.org>  Mon, 26 Apr 2010 00:23:26 +0200

procmail (3.22-18) unstable; urgency=low

  * Renamed function 'getline' to 'procmail_getline' to avoid namespace
    clash with modern POSIX. Fixes FTBFS with gcc 4.4. Closes: #549426.
    Patch from Ubuntu. Thanks a lot.

 -- Santiago Vila <sanvila@debian.org>  Wed, 21 Oct 2009 23:00:22 +0200

procmail (3.22-17) unstable; urgency=medium

  * Changed mailfold.c to fix off-by-one malloc error in writefolder()
    which made procmail to crash. Closes: #474298, #484352.
  * Do not ignore errors from make realclean.
  * Cleanup of debian/rules.

 -- Santiago Vila <sanvila@debian.org>  Thu,  3 Sep 2009 14:42:44 +0200

procmail (3.22-16) unstable; urgency=low

  * Changed formisc.c so that formail -n actually works (Closes: #151627).
  * Changed procmailex(5) so that it points to the examples directory
    in the Debian binary package, not the source (Closes: #355472).
  * Modified description to not use "real" as an adverb (Closes: #356828).

 -- Santiago Vila <sanvila@debian.org>  Sun, 30 Apr 2006 19:20:02 +0200

procmail (3.22-15) unstable; urgency=low

  * Use config.h to override things in autoconf.h that might not be detected
    by autoconf correctly. This undefines NO_COMSAT and gives proper values
    for UDP_protocolno and BIFF_serviceport (will hopefully fix Bug#348667).

 -- Santiago Vila <sanvila@debian.org>  Fri,  3 Feb 2006 00:09:08 +0100

procmail (3.22-14) unstable; urgency=low

  * Hardcode 127.0.0.1 as the address for localhost in config.h.
    The COMSAT variable should work again (Closes: #348667).

 -- Santiago Vila <sanvila@debian.org>  Wed, 18 Jan 2006 19:11:16 +0100

procmail (3.22-13) unstable; urgency=low

  * Make autoconf.h without cflags, then make everything else as usual.
    This should fix a build problem on s390, where strcspn is a macro.
    Thanks to Bastian Blank. Closes: #347563.

 -- Santiago Vila <sanvila@debian.org>  Thu, 12 Jan 2006 19:09:44 +0100

procmail (3.22-12) unstable; urgency=low

  * Removed references to binmail(1) from all manpages (Closes: #300894).
  * Removed PATH line from example .procmailrc (Closes: #334293).

 -- Santiago Vila <sanvila@debian.org>  Sat,  7 Jan 2006 17:47:30 +0100

procmail (3.22-11) unstable; urgency=low

  * Added Large File Support, using the output of "getconf LFS_CFLAGS".
    This will add -D_FILE_OFFSET_BITS=64 when the architecture needs it,
    and only when the architecture needs it (Closes: #236685).
  * Headers User-Agent: and NNTP-Posting-Date: are now recognized by formail
    when splitting messages (Closes: #295604).

 -- Santiago Vila <sanvila@debian.org>  Tue,  1 Mar 2005 16:35:56 +0100

procmail (3.22-10) unstable; urgency=low

  * Modified autoconf to hardcode 127.0.0.1 as the address for localhost,
    instead of taking the value from the machine on which the package is
    being built. Reported by Stephen Frost. Closes: #283529.

 -- Santiago Vila <sanvila@debian.org>  Thu,  2 Dec 2004 19:46:16 +0100

procmail (3.22-9) unstable; urgency=low

  * Changed Recommends: exim to exim4, since that's the default MTA package
    in sarge (Closes: #228572).

 -- Santiago Vila <sanvila@debian.org>  Tue, 20 Jan 2004 18:07:10 +0100

procmail (3.22-8) unstable; urgency=low

  * Fixed strange formail -l behaviour when there is a Content-Length: header.
    Thanks a lot to Henning Makholm for the patch (Closes: #217853).

 -- Santiago Vila <sanvila@debian.org>  Mon,  3 Nov 2003 20:01:24 +0100

procmail (3.22-7) unstable; urgency=low

  * Fixed bad nroff syntax in procmailrc(5), closes: #147173.
  * Added missing newline in procmail(1), closes: #180477.

 -- Santiago Vila <sanvila@debian.org>  Mon, 10 Mar 2003 00:09:20 +0100

procmail (3.22-6) unstable; urgency=low

  * Standards-Version: 3.5.8.

 -- Santiago Vila <sanvila@debian.org>  Thu, 26 Dec 2002 18:27:08 +0100

procmail (3.22-5) stable; urgency=medium

  * Patched pipes.c to fix a memory allocation bug (Closes: #171514).

 -- Santiago Vila <sanvila@debian.org>  Thu, 26 Dec 2002 18:09:38 +0100

procmail (3.22-4) unstable; urgency=low

  * Fixed a typo in procmail(1). Patch by the author (Closes: #142983).

 -- Santiago Vila <sanvila@debian.org>  Tue, 16 Apr 2002 19:16:20 +0200

procmail (3.22-3) unstable; urgency=medium

  * Fixed off-by-one bug in procmail.c which made the raw flag not to be
    cleared properly. Thanks to Gregory Stark (Closes: #134341).

 -- Santiago Vila <sanvila@debian.org>  Sun, 17 Feb 2002 16:43:02 +0100

procmail (3.22-2) unstable; urgency=medium

  * Modified mailfold.c to fix a segfault problem. Patch by the author.
  * The system-wide mail directory is /var/mail as per policy.

 -- Santiago Vila <sanvila@debian.org>  Thu, 29 Nov 2001 09:39:04 +0100

procmail (3.22-1) unstable; urgency=low

  * New upstream release, which uses the `standard' format for Maildir
    filenames and retries on name collision. It also contains some
    bug fixes from the 3.23pre snapshot dated 2001-09-13.
  * Removed `sendmail' from the Recommends field, since we already
    have `exim' (the default Debian MTA) and `mail-transport-agent'.
  * Removed suidmanager support. Conflicts: suidmanager (<< 0.50).
  * Added support for DEB_BUILD_OPTIONS in the source package.
  * README.Maildir: Do not use locking on the example recipe,
    since it's wrong to do so in this case.

 -- Santiago Vila <sanvila@debian.org>  Wed, 21 Nov 2001 09:40:20 +0100

procmail (3.15.2-1) stable; urgency=high


