=== debian/control ===
Source: procmail
Section: mail
Priority: standard
Maintainer: Santiago Vila <sanvila@debian.org>
Standards-Version: 3.8.4

Package: procmail
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: suidmanager (<< 0.50)
Recommends: default-mta | mail-transport-agent | fetchmail
Description: Versatile e-mail processor
 Can be used to create mail-servers, mailing lists, sort your incoming
 mail into separate folders/files (very convenient when subscribing to one
 or more mailing lists or for prioritising your mail), preprocess your
 mail, start any programs upon mail arrival (e.g. to generate different
 chimes on your workstation for different types of mail) or selectively
 forward certain incoming mail automatically to someone.
