=== debian/changelog ===
procmail (3.22-19-maemo1) unstable; urgency=low

  * Rebuild for Fremantle

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 28 Mar 2012 23:19:59 +0300
