=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: procmail
 Section: mail
 Priority: standard
-Maintainer: Santiago Vila <sanvila@debian.org>
+Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
 Standards-Version: 3.8.4
+Homepage: http://www.procmail.org/
 
 Package: procmail
 Architecture: any
@@ -16,3 +17,5 @@
  mail, start any programs upon mail arrival (e.g. to generate different
  chimes on your workstation for different types of mail) or selectively
  forward certain incoming mail automatically to someone.
+XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com
+
