=== debian/changelog ===
procmail (3.24-1ubuntu4) questing; urgency=medium

  * Fix FTBFS with GCC-15 (LP: #2125339), thanks to Santiago Vila.
    - Fix src/autoconf for gcc-15.
      + d/p/autoconf-fix-for-gcc-15.patch
      + d/p/skip-const-probe.patch
    - Do not "fix" prototype for uname().
      + d/p/do-not-fix-uname.patch
    - d/rules: Build using C17 standard with GNU extensions.

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 22 Sep 2025 11:01:22 +0200

procmail (3.24-1ubuntu3) oracular; urgency=medium

  * d/p/fix-gcc-14-build.patch: Fix build with gcc-14.
    Forward-port of ftbfs fix from 3.24+really3.22-3 to 3.24.
    (LP: #2078301)

 -- Bryce Harrington <bryce@canonical.com>  Fri, 30 Aug 2024 12:03:04 -0700

procmail (3.24-1ubuntu2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:16:20 +0200

procmail (3.24-1ubuntu1) noble; urgency=medium

  * d/t/basic: Add basic DEP8 packaging/integration test cases.
    (LP: #1679365)

 -- Bryce Harrington <bryce@canonical.com>  Thu, 07 Dec 2023 09:18:34 -0800

procmail (3.24-1) unstable; urgency=medium

  * New upstream release, now hosted on github. Closes: #1006633.
  * Downgrade priority to optional to match the override file.
  * Update Homepage. Closes: #805864.
  * Switch to dh. Now there is a procmail-dbgsym package. Closes: #1006653.
  * Drop debian/mailstat.1, it has been adopted upstream.
  * Set upstream metadata fields Bug-Database, Bug-Submit and Repository-Browse.
  * Rules-Requires-Root: binary-targets.
  * Use List-Id in QuickStart and README.Maildir.
  * Update standards version to 4.6.2.
  * No longer necessary patches:
    - 00: Adopted upstream (this is version 3.24, which is past 3.23pre).
    - 06: Adopted upstream.
    - 10: Adopted upstream.
    - 12: Adopted upstream.
    - 13: Adopted upstream.
    - 14: Fixed upstream in another way.
    - 15: Adopted upstream.
    - 16: Adopted upstream.
    - 17: Adopted upstream.
    - 18: Adopted upstream.
    - 19: Adopted upstream.
    - 21: Adopted upstream.
    - 22: Adopted upstream.
    - 23: Adopted upstream.
    - 24: Fixed upstream using cgetline.
    - 25: Adopted upstream.
    - 26: Adopted upstream.
    - 27: Fixed upstream in another way.
    - 28: Adopted upstream.
    - 29: Adopted upstream.
    - 30: Fixed upstream in another way.
    - 31: Adopted upstream.
  * Renamed patches:
    - 01: renamed to trim-list-of-directories-to-search.patch.
    - 02: renamed to use-fcntl-and-dot-locking.patch.
    - 03: renamed to do-not-touch-var-mail-during-build.patch.
    - 04: renamed to define-path-for-example-procmailrc.patch.
    - 05: renamed to allow-writeable-rcfiles.patch.
    - 07: renamed to make-buggy-sendmail-to-be-undefined.patch.
    - 08: renamed to define-default-path.patch.
    - 09: renamed to define-defaultdotlock-to-follow-locking-policy.patch.
    - 11: renamed to do-not-search-for-var-mail.patch.
    - 20: renamed to hardcode-things-for-biff.patch.

 -- Santiago Vila <sanvila@debian.org>  Thu, 05 Jan 2023 22:35:00 +0100

procmail (3.22-27) unstable; urgency=medium

  * Fix NULL pointer dereference. Closes: #769938.
    Reported by Jakub Wilk using American Fuzzy Lop.
    Patch from Stephen R. van den Berg.

 -- Santiago Vila <sanvila@debian.org>  Tue, 01 Mar 2022 15:00:00 +0100

procmail (3.22-26) unstable; urgency=medium

  * Fix buffer overflow in loadbuf(). Closes: #876511.
    Reported by Jakub Wilk using American Fuzzy Lop.
    For reference, this is CVE-2017-16844.

 -- Santiago Vila <sanvila@debian.org>  Thu, 16 Nov 2017 23:42:36 +0100

procmail (3.22-25) unstable; urgency=low

  * Use gzip -n to stop recording current time, and fix mtimes
    before building binary package. Closes: #774367.
  * Create md5sums in a reproducible way.

 -- Santiago Vila <sanvila@debian.org>  Fri, 15 May 2015 16:25:36 +0200

procmail (3.22-24) unstable; urgency=medium

  * Fix two memory corruption problems in formail. Closes: #769937.
    Reported by Jakub Wilk. Patch by Jan Darmochwal. Thanks a lot.
    The problems are the following:
  - Off-by-one heap overflow when parsing addresses that have left angle
    bracket, then a comma, but no right angle bracket: <moo@example.com,
  - Off-by-one heap overflow when parsing addresses that end with
    backslash: <moo@example.com\

 -- Santiago Vila <sanvila@debian.org>  Wed, 11 Feb 2015 16:41:40 +0100

procmail (3.22-23) unstable; urgency=medium

  * Fixed heap overflow in procmail that made it to segfault on
    some unusual (but legit) .procmailrc files. Closes: #771958.
    Thanks a lot to Tero Marttila.

 -- Santiago Vila <sanvila@debian.org>  Wed, 03 Dec 2014 23:51:52 +0100

procmail (3.22-22) unstable; urgency=high

  * Fixed heap overflow in formail that made it to crash on messages
    having specially-crafted headers. Closes: #704675, #760443.
    For reference, this is CVE-2014-3618.

 -- Santiago Vila <sanvila@debian.org>  Thu, 04 Sep 2014 12:08:36 +0200

procmail (3.22-21) unstable; urgency=low

  * debian/patches: Try to correlate patches with bugs and Debian releases.
  * Really adopt remaining changes from procmail 3.23pre. No code changes
    here, just some documentation and RCS Id strings. As a result, this
    release now identifies itself as 3.23pre which is a lot closer to reality.
  * Removed obsolete Conflicts: suidmanager.

 -- Santiago Vila <sanvila@debian.org>  Tue, 15 Oct 2013 19:30:30 +0200

procmail (3.22-20) unstable; urgency=low

  * Added recommended targets build-arch and build-indep.
  * Build with hardening flags. Closes: #674658.
  * Added homepage control field.
  * Added lintian overrides.

 -- Santiago Vila <sanvila@debian.org>  Wed, 06 Jun 2012 23:05:24 +0200
