=== debian/control ===
Source: procmail
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Santiago Vila <sanvila@debian.org>
Build-Depends: debhelper-compat (= 13)
Rules-Requires-Root: binary-targets
Standards-Version: 4.6.2
Homepage: https://github.com/BuGlessRB/procmail

Package: procmail
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: default-mta | mail-transport-agent | fetchmail
Description: Versatile e-mail processor
 Can be used to create mail-servers, mailing lists, sort your incoming
 mail into separate folders/files (very convenient when subscribing to one
 or more mailing lists or for prioritising your mail), preprocess your
 mail, start any programs upon mail arrival (e.g. to generate different
 chimes on your workstation for different types of mail) or selectively
 forward certain incoming mail automatically to someone.
