=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

CC = gcc
CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $$(getconf LFS_CFLAGS) -std=gnu17
LDFLAGS := `dpkg-buildflags --get LDFLAGS`
CPPFLAGS := `dpkg-buildflags --get CPPFLAGS`
SEARCHLIBS = -lm

override_dh_auto_build:
	$(MAKE) CC="$(CC)" CFLAGS0="" \
		LDFLAGS0="$(LDFLAGS)" SEARCHLIBS="$(SEARCHLIBS)" autoconf.h
	$(MAKE) CC="$(CC)" CFLAGS0="$(CFLAGS) $(CPPFLAGS)" \
		LDFLAGS0="$(LDFLAGS)" SEARCHLIBS="$(SEARCHLIBS)"

override_dh_auto_clean:
	$(MAKE) realclean SEARCHLIBS=""
	dh_auto_clean

override_dh_auto_install:
	$(MAKE) BASENAME=`pwd`/debian/tmp/usr MANDIR=`pwd`/debian/tmp/usr/share/man \
		install.man install-suid

override_dh_installexamples:
	dh_installexamples -Xdirname -Xmailstat -Xprocmail-rpm.spec

override_dh_installchangelogs:
	dh_installchangelogs -XHISTORY

override_dh_compress:
	dh_compress -XFAQ -XFEATURES -XREADME

override_dh_fixperms:
	dh_fixperms
	chgrp mail debian/procmail/usr/bin/procmail
	chgrp mail debian/procmail/usr/bin/lockfile
	chmod 6755 debian/procmail/usr/bin/procmail
	chmod 2755 debian/procmail/usr/bin/lockfile
