=== debian/tests/control ===
Tests: basic
Restrictions: isolation-container, needs-root
