## procmail 3.24+really3.22

=== debian/changelog ===
procmail (3.24+really3.22-5) unstable; urgency=medium

  * Fix build with gcc-15. Closes: #1097653.
  * Add Vcs-Git and Vcs-Browser fields.
  * Update standards-version.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Thu, 14 Aug 2025 19:40:00 +0200

procmail (3.24+really3.22-4) unstable; urgency=medium

  * Fix autoconf typo which made WMACROS_NON_POSIX to be incorrectly defined.
    The macro that should be checked is called WTERMSIG(), not WSIGTERM().
    According to github repo, this bug was introduced in commit [c4e3f584]
    on 1993-11-24, i.e. more than 30 years ago.

 -- Santiago Vila <sanvila@debian.org>  Sat, 27 Jul 2024 12:05:00 +0200

procmail (3.24+really3.22-3) unstable; urgency=medium

  * Fix build with gcc-14. Closes: #1075398.

 -- Santiago Vila <sanvila@debian.org>  Fri, 26 Jul 2024 14:10:00 +0200

procmail (3.24+really3.22-2) unstable; urgency=medium

  * Cherry-pick [a39ebad] from github repo, "Eliminate warnings".
  * Drop -Werror=implicit-function-declaration from DEB_CFLAGS_MAINT_STRIP.
  * Add lintian override.

 -- Santiago Vila <sanvila@debian.org>  Sun, 14 Apr 2024 13:05:00 +0200

procmail (3.24+really3.22-1) unstable; urgency=medium

  * Revert to version 3.22. Fixes bug "Variable set with stdin pipe action
    fails leaving empty variable". Thanks a lot to Bob Proulx for the report.
    Closes: #1028356.
  * Most packaging changes from 3.24-1 are kept. The debian patches are taken
    from version 3.22-27 again, but renamed from NN to NN.patch.
  * Strip -Werror=implicit-function-declaration from CFLAGS.

 -- Santiago Vila <sanvila@debian.org>  Mon, 01 Apr 2024 19:35:00 +0200
