=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: procmail
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Santiago Vila <sanvila@debian.org>
+Maintainer: Santiago Vila <sanvila@debian.org>
 Build-Depends: debhelper-compat (= 13)
+Vcs-Git: https://salsa.debian.org/sanvila/procmail.git
+Vcs-Browser: https://salsa.debian.org/sanvila/procmail
 Rules-Requires-Root: binary-targets
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/BuGlessRB/procmail
 
 Package: procmail
