=== debian/rules ===
--- 
+++ 
@@ -22,11 +22,11 @@
 	$(MAKE) BASENAME=`pwd`/debian/tmp/usr MANDIR=`pwd`/debian/tmp/usr/share/man \
 		install.man install-suid
 
+override_dh_installchangelogs:
+	dh_installchangelogs --no-trim -XHISTORY
+
 override_dh_installexamples:
 	dh_installexamples -Xdirname -Xmailstat -Xprocmail-rpm.spec
-
-override_dh_installchangelogs:
-	dh_installchangelogs -XHISTORY
 
 override_dh_compress:
 	dh_compress -XFAQ -XFEATURES -XREADME
